<?php
/**
 * culinary Theme Customizer.
 *
 * @package culinary
 */

/**
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function culinary_customize_register( $wp_customize ) {
	
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	$wp_customize->remove_control( 'header_textcolor' );
	$wp_customize->remove_control('display_header_text');
}
add_action( 'customize_register', 'culinary_customize_register' );



/**
 * Include Kirki library
 */
include_once( dirname( __FILE__ ) . '/kirki/kirki.php' );

/**
 * Filter Kirki Textdomain
 */
 
 if( function_exists('culinary_kirki_l10n') ):
	function culinary_kirki_l10n( $l10n ) {

		$l10n['background-color']      = esc_attr__( 'Background Color', 'culinary' );
		$l10n['background-image']      = esc_attr__( 'Background Image', 'culinary' );
		$l10n['no-repeat']             = esc_attr__( 'No Repeat', 'culinary' );
		$l10n['repeat-all']            = esc_attr__( 'Repeat All', 'culinary' );
		$l10n['repeat-x']              = esc_attr__( 'Repeat Horizontally', 'culinary' );
		$l10n['repeat-y']              = esc_attr__( 'Repeat Vertically', 'culinary' );
		$l10n['inherit']               = esc_attr__( 'Inherit', 'culinary' );
		$l10n['background-repeat']     = esc_attr__( 'Background Repeat', 'culinary' );
		$l10n['cover']                 = esc_attr__( 'Cover', 'culinary' );
		$l10n['contain']               = esc_attr__( 'Contain', 'culinary' );
		$l10n['background-size']       = esc_attr__( 'Background Size', 'culinary' );
		$l10n['fixed']                 = esc_attr__( 'Fixed', 'culinary' );
		$l10n['scroll']                = esc_attr__( 'Scroll', 'culinary' );
		$l10n['background-attachment'] = esc_attr__( 'Background Attachment', 'culinary' );
		$l10n['left-top']              = esc_attr__( 'Left Top', 'culinary' );
		$l10n['left-center']           = esc_attr__( 'Left Center', 'culinary' );
		$l10n['left-bottom']           = esc_attr__( 'Left Bottom', 'culinary' );
		$l10n['right-top']             = esc_attr__( 'Right Top', 'culinary' );
		$l10n['right-center']          = esc_attr__( 'Right Center', 'culinary' );
		$l10n['right-bottom']          = esc_attr__( 'Right Bottom', 'culinary' );
		$l10n['center-top']            = esc_attr__( 'Center Top', 'culinary' );
		$l10n['center-center']         = esc_attr__( 'Center Center', 'culinary' );
		$l10n['center-bottom']         = esc_attr__( 'Center Bottom', 'culinary' );
		$l10n['background-position']   = esc_attr__( 'Background Position', 'culinary' );
		$l10n['background-opacity']    = esc_attr__( 'Background Opacity', 'culinary' );
		$l10n['on']                    = esc_attr__( 'ON', 'culinary' );
		$l10n['off']                   = esc_attr__( 'OFF', 'culinary' );
		$l10n['all']                   = esc_attr__( 'All', 'culinary' );
		$l10n['cyrillic']              = esc_attr__( 'Cyrillic', 'culinary' );
		$l10n['cyrillic-ext']          = esc_attr__( 'Cyrillic Extended', 'culinary' );
		$l10n['devanagari']            = esc_attr__( 'Devanagari', 'culinary' );
		$l10n['greek']                 = esc_attr__( 'Greek', 'culinary' );
		$l10n['greek-ext']             = esc_attr__( 'Greek Extended', 'culinary' );
		$l10n['khmer']                 = esc_attr__( 'Khmer', 'culinary' );
		$l10n['latin']                 = esc_attr__( 'Latin', 'culinary' );
		$l10n['latin-ext']             = esc_attr__( 'Latin Extended', 'culinary' );
		$l10n['vietnamese']            = esc_attr__( 'Vietnamese', 'culinary' );
		$l10n['hebrew']                = esc_attr__( 'Hebrew', 'culinary' );
		$l10n['arabic']                = esc_attr__( 'Arabic', 'culinary' );
		$l10n['bengali']               = esc_attr__( 'Bengali', 'culinary' );
		$l10n['gujarati']              = esc_attr__( 'Gujarati', 'culinary' );
		$l10n['tamil']                 = esc_attr__( 'Tamil', 'culinary' );
		$l10n['telugu']                = esc_attr__( 'Telugu', 'culinary' );
		$l10n['thai']                  = esc_attr__( 'Thai', 'culinary' );
		$l10n['serif']                 = _x( 'Serif', 'font style', 'culinary' );
		$l10n['sans-serif']            = _x( 'Sans Serif', 'font style', 'culinary' );
		$l10n['monospace']             = _x( 'Monospace', 'font style', 'culinary' );
		$l10n['font-family']           = esc_attr__( 'Font Family', 'culinary' );
		$l10n['font-size']             = esc_attr__( 'Font Size', 'culinary' );
		$l10n['font-weight']           = esc_attr__( 'Font Weight', 'culinary' );
		$l10n['line-height']           = esc_attr__( 'Line Height', 'culinary' );
		$l10n['font-style']            = esc_attr__( 'Font Style', 'culinary' );
		$l10n['letter-spacing']        = esc_attr__( 'Letter Spacing', 'culinary' );
		$l10n['top']                   = esc_attr__( 'Top', 'culinary' );
		$l10n['bottom']                = esc_attr__( 'Bottom', 'culinary' );
		$l10n['left']                  = esc_attr__( 'Left', 'culinary' );
		$l10n['right']                 = esc_attr__( 'Right', 'culinary' );
		$l10n['color']                 = esc_attr__( 'Color', 'culinary' );
		$l10n['add-image']             = esc_attr__( 'Add Image', 'culinary' );
		$l10n['change-image']          = esc_attr__( 'Change Image', 'culinary' );
		$l10n['remove']                = esc_attr__( 'Remove', 'culinary' );
		$l10n['no-image-selected']     = esc_attr__( 'No Image Selected', 'culinary' );
		$l10n['select-font-family']    = esc_attr__( 'Select a font-family', 'culinary' );
		$l10n['variant']               = esc_attr__( 'Variant', 'culinary' );
		$l10n['subsets']               = esc_attr__( 'Subset', 'culinary' );
		$l10n['size']                  = esc_attr__( 'Size', 'culinary' );
		$l10n['height']                = esc_attr__( 'Height', 'culinary' );
		$l10n['spacing']               = esc_attr__( 'Spacing', 'culinary' );
		$l10n['ultra-light']           = esc_attr__( 'Ultra-Light 100', 'culinary' );
		$l10n['ultra-light-italic']    = esc_attr__( 'Ultra-Light 100 Italic', 'culinary' );
		$l10n['light']                 = esc_attr__( 'Light 200', 'culinary' );
		$l10n['light-italic']          = esc_attr__( 'Light 200 Italic', 'culinary' );
		$l10n['book']                  = esc_attr__( 'Book 300', 'culinary' );
		$l10n['book-italic']           = esc_attr__( 'Book 300 Italic', 'culinary' );
		$l10n['regular']               = esc_attr__( 'Normal 400', 'culinary' );
		$l10n['italic']                = esc_attr__( 'Normal 400 Italic', 'culinary' );
		$l10n['medium']                = esc_attr__( 'Medium 500', 'culinary' );
		$l10n['medium-italic']         = esc_attr__( 'Medium 500 Italic', 'culinary' );
		$l10n['semi-bold']             = esc_attr__( 'Semi-Bold 600', 'culinary' );
		$l10n['semi-bold-italic']      = esc_attr__( 'Semi-Bold 600 Italic', 'culinary' );
		$l10n['bold']                  = esc_attr__( 'Bold 700', 'culinary' );
		$l10n['bold-italic']           = esc_attr__( 'Bold 700 Italic', 'culinary' );
		$l10n['extra-bold']            = esc_attr__( 'Extra-Bold 800', 'culinary' );
		$l10n['extra-bold-italic']     = esc_attr__( 'Extra-Bold 800 Italic', 'culinary' );
		$l10n['ultra-bold']            = esc_attr__( 'Ultra-Bold 900', 'culinary' );
		$l10n['ultra-bold-italic']     = esc_attr__( 'Ultra-Bold 900 Italic', 'culinary' );
		$l10n['invalid-value']         = esc_attr__( 'Invalid Value', 'culinary' );

	return $l10n;
	}
endif;

add_filter( 'kirki/my_config/l10n', 'culinary_kirki_l10n' );

$upgrade_link = "https://rescuethemes.com/wordpress-themes/culinary-plus/?r=cc";

/**
 * Add the theme configuration
 */
Kirki::add_config( 'culinary', array(
	'option_type' => 'theme_mod',
	'capability'  => 'edit_theme_options',
) );
/**
 * Add the Home section
 */
Kirki::add_section( 'home', array(
	'title'      => esc_attr__( 'Home Page', 'culinary' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
) );
/**
 * Add the Slider section
 */
Kirki::add_section( 'slider', array(
	'title'      => esc_attr__( 'Home Hero Image', 'culinary' ),
	'priority'   => 2,
	'capability' => 'edit_theme_options',
) );
Kirki::add_field( 'slider_enabled', array(
	'type'        => 'checkbox',
	'settings'    => 'slider_enabled',
	'label'       => __( 'Enable Home Image', 'culinary' ),
	'section'     => 'home',
	'default'     => '1',
	'priority'    => 10,
) );
Kirki::add_field( 'slider_images', array(
	'type'        => 'image',
	'label'       => esc_attr__( 'Home Hero Image', 'culinary' ),
	'section'     => 'home',
	'priority'    => 10,
	'settings'	  => 'slider_image',
	'row_label' => array(
		'type' => 'text',
		'field' => 'link_text',
	),
	'default'     => '',
	'active_callback'	=> array(
		array(
			'setting'  => 'slider_enabled',
			'operator' => '==',
			'value'    => true,
			),
	),
	) );
	
Kirki::add_field( 'slider_text', array(
	'type'     => 'text',
	'settings' => 'slider_text',
	'label'    => __( 'Text', 'culinary' ),
	'section'  => 'home',
	'default'  => esc_attr__( 'My text', 'culinary' ),
	'description' => esc_attr__( 'This will be the text on the image', 'culinary' ),
	'priority' => 10,
	'active_callback'	=> array(
		array(
			'setting'  => 'slider_enabled',
			'operator' => '==',
			'value'    => true,
			),
	),
) );

Kirki::add_field( 'slider_link', array(
	'type'     => 'text',
	'settings' => 'slider_link',
	'label'    => __( 'Link', 'culinary' ),
	'section'  => 'home',
	'description' => esc_attr__( 'This will be the link when someome clicks on the image', 'culinary' ),
	'priority' => 10,
	'active_callback'	=> array(
		array(
			'setting'  => 'slider_enabled',
			'operator' => '==',
			'value'    => true,
			),
	),
) );

Kirki::add_field( 'my_config', array(
	'type'     => 'custom',
	'settings' => 'slider',	
	'label'       => esc_attr__( 'Home Hero Slider', 'culinary' ),
	'section'  => 'home',
	'sanitize_callback' => 'wp_kses_post',
	'description' => sprintf( __( '<a target="_blank" href="%1$s">Get access to home page slider</a>', 'culinary' ), esc_url( $upgrade_link ) ),
	'default'  => __( '<p>Transform your home hero section from a static hero image to a smooth image slider with options for links and text.</p>', 'culinary' ),
	'priority' => 10,
	
) );
	
// Get Categories
$options_cats = array();
$options_cats_obj = get_categories( 'type=post');
$options_cats[''] = 'Select a Category:';
foreach ($options_cats_obj as $cat) {
	$options_cats[$cat->term_id] = $cat->cat_name;
}

Kirki::add_field( 'home_featured_posts_enabled', array(
	'type'        => 'checkbox',
	'settings'    => 'home_featured_posts_enabled',
	'label'       => __( 'Enable Featured Posts', 'culinary' ),
	'help' => __( 'Check to enable the featured posts area.', 'culinary' ),
	'section'     => 'home',
	'default'     => '0',
	'priority'    => 10,
) );

Kirki::add_field( 'featured_posts_cat', array(
    'type'        => 'select',
    'settings'    => 'featured_posts_cat',
    'label'       => __( 'Featured Posts Category', 'culinary' ),
    'help'        => __( 'Select the post category you want to show in the featured posts area.', 'culinary' ),
    'section'     => 'home',
    'default'     => 'featured',
    'priority'    => 10,
    'choices'     => $options_cats,
    'active_callback'	=> array(
		array(
			'setting'  => 'home_featured_posts_enabled',
			'operator' => '==',
			'value'    => true,
			),
	),
) );

Kirki::add_field( 'num_featured_posts_cat', array(
	'type'        => 'select',
	'settings'    => 'num_featured_posts_cat',
	'label'       => __( 'Number of Featured Posts Displayed', 'culinary' ),
	'help' => __( 'The number of posts that will be shown in the featured posts area.', 'culinary' ),
	'section'     => 'home',
	'default'     => '3',
	'priority'    => 10,
	'multiple'    => 0,
	'active_callback'	=> array(
		array(
			'setting'  => 'home_featured_posts_enabled',
			'operator' => '==',
			'value'    => true,
			),
	),
	'choices'     => array(
		'3' => esc_attr__( '3', 'culinary' ),
		'4' => esc_attr__( '4', 'culinary' ),
		),
) );


// WP_Query arguments
$args = array (
	'post_type'         => 'page',
	'post_status'	    => 'published',
	'posts_per_page'         => '-1',
);
$posts = Kirki_Helper::get_posts( $args );

Kirki::add_field( 'home_content_page_enabled', array(
	'type'        => 'checkbox',
	'settings'    => 'home_content_page_enabled',
	'label'       => __( 'Enable Home Content Page', 'culinary' ),
	'help' => __( 'Check to enable the Home Content Page area.', 'culinary' ),
	'section'     => 'home',
	'default'     => '1',
	'priority'    => 10,
) );

Kirki::add_field( 'home_content_page', array(
    'type'        => 'select',
    'settings'    => 'home_content_page',
    'label'       => __( 'Home Content Page', 'culinary' ),
    'help'        => __( 'Select the page you want to show in the Home Content Page area.', 'culinary' ),
    'section'     => 'home',
    //'default'     => 'featured',
    'priority'    => 10,
    'choices'     => $posts,
    'active_callback'	=> array(
		array(
			'setting'  => 'home_content_page_enabled',
			'operator' => '==',
			'value'    => true,
			),
	),
) );

/**
 * Add the Blog section
 */
Kirki::add_section( 'blog', array(
	'title'      => esc_attr__( 'Blog Page', 'culinary' ),
	'priority'   => 2,
	'capability' => 'edit_theme_options',
) );

Kirki::add_field( 'culinary_blog_title', array(
	'type'        => 'text',
	'settings'    => 'culinary_blog_title',
	'label'       => __( 'Blog Page Title', 'culinary' ),
	'default'	  => __( 'Latest News', 'culinary' ),
	'section'     => 'blog',
	'priority'    => 10,
) );
Kirki::add_field( 'culinary_blog_subtitle', array(
	'type'        => 'text',
	'settings'    => 'culinary_blog_subtitle',
	'label'       => __( 'Blog Page Sub Title', 'culinary' ),
	'default'	  => __( 'Change this title to anything in the Blog Page Customizer Section.', 'culinary' ),
	'section'     => 'blog',
	'priority'    => 10,
) );

/**
 * Add the Logo section
 */
Kirki::add_section( 'logo', array(
	'title'      => esc_attr__( 'Site Logo', 'culinary' ),
	'priority'   => 2,
	'capability' => 'edit_theme_options',
) );

Kirki::add_field( 'logo', array(
	'type'        => 'image',
	'settings'    => 'culinary_logo',
	'label'       => __( 'Logo Image', 'culinary' ),
	'description' => __( 'If a logo is set, we do not display the site title and tagline.', 'culinary' ),
	'section'     => 'logo',
	'priority'    => 10,
) );

Kirki::add_field( 'culinary', array(
	'type'        => 'dimension',
	'settings'    => 'logo_height',
	'label'       => __( 'Height', 'culinary' ),
	'section'     => 'logo',
	'default'     => '',
	'description' => __( 'Height in pixels ex., 75px', 'culinary' ),
	'priority'    => 11,
	'output' => array(
		array(
			'property' => 'height',
			'element' => array( '.site-branding img' ),
		),
	),
) );

Kirki::add_field( 'culinary', array(
	'type'        => 'dimension',
	'settings'    => 'logo_width',
	'label'       => __( 'Width', 'culinary' ),
	'description' => __( 'Width in pixels ex., 175px', 'culinary' ),
	'section'     => 'logo',
	'default'     => '',
	'priority'    => 12,
	'output' => array(
		array(
			'property' => 'width',
			'element' => array( '.site-branding img' ),
		),
	),
) );


// Colors
Kirki::add_field( 'culinary', array(
	'type'        => 'color',
	'settings'    => 'global_color',
	'label'       => esc_attr__( 'Main Color', 'culinary' ),
	'section'     => 'colors',
	'default'     => '#77BABF',
	'priority'    => 10,
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'property' => 'color',
			'element' => array( 'a', '.menu .active > a', '.home-below-hero-widget p','.title-bar'),
		),
		array(
			'property' => 'background',
			'element'	=> '.menu-icon::after',
		),
		array(
			'property' => 'box-shadow',
			'element'	=> '.menu-icon::after',
			'value_pattern' => '0 7px 0 $, 0 14px 0 $',
			
		),
		array(
			'property' => 'background-color',
			'element' => array( '.widget_tag_cloud a' ),
		),
		array(
			'property' => 'box-shadow',
			'element'  =>  array( '.footer-wrap .textwidget .contact-form textarea:focus', '.footer-wrap .textwidget .contact-form [type="text"]:focus', '.footer-wrap .textwidget .contact-form [type="password"]:focus', '.footer-wrap .textwidget .contact-form [type="date"]:focus', '.footer-wrap .textwidget .contact-form [type="datetime"]:focus', '.footer-wrap .textwidget .contact-form [type="datetime-local"]:focus', '.footer-wrap .textwidget .contact-form [type="month"]:focus', '.footer-wrap .textwidget .contact-form [type="week"]:focus', '.footer-wrap .textwidget .contact-form [type="email"]:focus', '.footer-wrap .textwidget .contact-form [type="number"]:focus', '.footer-wrap .textwidget .contact-form [type="search"]:focus', '.footer-wrap .textwidget .contact-form [type="tel"]:focus', '.footer-wrap .textwidget .contact-form [type="time"]:focus', '.footer-wrap .textwidget .contact-form [type="url"]:focus', '.footer-wrap .textwidget .contact-form [type="color"]:focus'),
			'value_pattern'  => '0 0 5px $',
		),
		array(
		'property' => 'border-color', 'color',
		'value_pattern' => '$ transparent transparent',
		'element' => array( '.dropdown.menu.large-vertical > li.opens-left > a::after, .dropdown.menu.large-vertical > li.opens-right > a::after, .dropdown.menu.medium-horizontal > li.is-dropdown-submenu-parent > a::after, .dropdown.menu.medium-vertical > li.opens-left > a::after, .dropdown.menu.medium-vertical > li.opens-right > a::after, .dropdown.menu.vertical > li.opens-left > a::after, .is-dropdown-submenu .is-dropdown-submenu-parent.opens-left > a::after, .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a::after, .is-accordion-submenu-parent > a::after'),
		),
		array(
		'property' => 'border-color',
		'value_pattern' => 'transparent transparent transparent $ ',
		'element' => array( '.dropdown.menu.vertical > li.opens-right.is-submenu-item > a::after', '.dropdown.menu.vertical > li.opens-left.is-submenu-item > a::after' ),
		),
	),
) );


Kirki::add_field( 'culinary', array(
	'type'        => 'color',
	'settings'    => 'global_header_colors',
	'label'       => esc_attr__( 'Heading Color', 'culinary' ),
	'section'     => 'colors',
	'default'     => '#4D464C',
	'priority'    => 11,
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'property' => 'color',
			'element' => array( 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', '.h1', '.h2', '.h3', '.h4', '.h5', '.h6' ),
		),
	),
) );


Kirki::add_field( 'culinary', array(
	'type'        => 'color',
	'settings'    => 'link_colors',
	'label'       => esc_attr__( 'Link color', 'culinary' ),
	'section'     => 'colors',
	'default'     => '#77BABF',
	'priority'    => 11,
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'property' => 'color',
			'element' => array( 'a' ),
		),
		array(
			'property' => 'background-color',
			'element'  => array('.textwidget .contact-form .pushbutton-wide', 'input[type="button"]', 'input[type="reset"]', 'input[type="submit"]', '.postfix' ),
		),
	),
) );
Kirki::add_field( 'culinary', array(
	'type'        => 'color',
	'settings'    => 'link_hover_colors',
	'label'       => esc_attr__( 'Link hover color', 'culinary' ),
	'section'     => 'colors',
	'default'     => '#4fa2a9',
	'priority'    => 12,
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'property' => 'color',
			'element' => array( 'a:not(.tagcloud a, .button):hover'),
		),
		array(
			'property' => 'box-shadow',
			'element'	=> '.menu-icon::after:hover',
			'value_pattern' => '0 7px 0 $, 0 14px 0 $',
			
		),
		array(
			'property' => 'background',
			'element'	=> array( '.menu-icon::after:hover', 'input[type="button"]:hover','input[type="submit"]:hover' ),
		),
		array(
			'property' => 'background-color',
			'element'  => array('.textwidget .contact-form .pushbutton-wide:hover', 'input[type="button"]:hover', 'input[type="reset"]:hover', 'input[type="submit"]:hover', '.postfix:hover' ),
		),
	),
) );


Kirki::add_field( 'my_config', array(
	'type'     => 'custom',
	'settings' => 'colors-plus',	
	'label' => __( 'Advanced Color Settings', 'culinary' ),
	'section'  => 'colors',
	'sanitize_callback' => 'wp_kses_post',
	'description' => sprintf( __( '<a target="_blank" href="%1$s">Get access to more color settings</a>', 'culinary' ), esc_url( $upgrade_link ) ),
	'default'  => __( '<p>Fine tune your site design with an unlimited number of color options for each section of the site:</p><ul><li>Backgrounds</li><li>Navigation</li><li>Links and Fonts</li><li>Footer</li><li>and more!</li></ul>', 'culinary' ),
	'priority' => 10,
	
) );

/**
 * Add the footer section
 */
Kirki::add_section( 'footer', array(
	'title'      => esc_attr__( 'Footer', 'culinary' ),
	'priority'   => 4,
	'capability' => 'edit_theme_options',
) );

Kirki::add_field( 'my_config', array(
	'type'     => 'textarea',
	'settings' => 'footer_copyright',
	'label'    => __( 'Footer Copyright HTML', 'culinary' ),
	'section'  => 'footer',
	'sanitize_callback' => 'wp_kses_post',
	'default'  => 'Copyright 2017. All Rights Reserved.',
	'priority' => 10,
) );
/**
 * Add the layout section
 */
Kirki::add_section( 'layout-plus', array(
	'title'      => esc_attr__( 'Layout', 'culinary' ),
	'priority'   => 5,
	'capability' => 'edit_theme_options',
) );

Kirki::add_field( 'my_config', array(
	'type'     => 'custom',
	'settings' => 'layout-plus',	
	'label' => __( 'Sidebar Layout Settings', 'culinary' ),
	'section'  => 'layout-plus',
	'sanitize_callback' => 'wp_kses_post',
	'description' => sprintf( __( '<a target="_blank" href="%1$s">Get access to sidebar layout settings</a>', 'culinary' ), esc_url( $upgrade_link ) ),
	'default'  => __( 'Adjust the inner sidebar position to display on the right or left side of your content.', 'culinary' ),
	'priority' => 10,
	
) );
/**
 * Add the typography section
 */
Kirki::add_section( 'typography-plus', array(
	'title'      => esc_attr__( 'Typography', 'culinary' ),
	'priority'   => 5,
	'capability' => 'edit_theme_options',
) );

Kirki::add_field( 'my_config', array(
	'type'     => 'custom',
	'settings' => 'typography-plus',	
	'label' => __( 'Advanced Typography Settings', 'culinary' ),
	'section'  => 'typography-plus',
	'sanitize_callback' => 'wp_kses_post',
	'description' => sprintf( __( '<a target="_blank" href="%1$s">Get access to typography settings</a>', 'culinary' ), esc_url( $upgrade_link ) ),
	'default'  => __( 'You\'ll have access to 500+ Google Fonts along with font size, weight, style, transform, line height, and spacing settings for every section:</p><ul><li>Headers and Content</li><li>Navigation</li><li>Sidebar</li><li>Footer</li><li>Copyright</li><li>and more!</li></ul>', 'culinary' ),
	'priority' => 10,
	
) );
/**
 * Add the ecommerce section
 */
Kirki::add_section( 'woocommerce-plus', array(
	'title'      => esc_attr__( 'eCommerce Shop', 'culinary' ),
	'priority'   => 5,
	'capability' => 'edit_theme_options',
) );

Kirki::add_field( 'my_config', array(
	'type'     => 'custom',
	'settings' => 'woocommerce-plus',	
	'label' => __( 'eCommerce Settings', 'culinary' ),
	'section'  => 'woocommerce-plus',
	'sanitize_callback' => 'wp_kses_post',
	'description' => sprintf( __( '<a target="_blank" href="%1$s">Get access to eCommerce support</a>', 'culinary' ), esc_url( $upgrade_link ) ),
	'default'  => __( '<p>Culinary Plus provides compatibility with the world\'s most popular ecommerce system, WooCommerce. Whether it\'s physical products, music files, or your time, it\'s all possible.</p>', 'culinary' ),
	'priority' => 10,
	
) );


